# $Revision: 1.30 $, $Date: 2005/11/01 23:29:29 $
Summary:	JasPer - collection of software for coding and manipulation of images
Summary(pl):	JasPer - zestaw oprogramowania do obrbki obrazkw
Name:		jasper
Version:	1.701.0
Release:	3
Epoch:		0
License:	BSD-like
Group:		Libraries
Source0:	http://www.ece.uvic.ca/~mdadams/jasper/software/%{name}-%{version}.zip
# Source0-md5:	22a9f74fc880e38dd125c60aa4e4ce97
URL:		http://www.ece.uvic.ca/~mdadams/jasper/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	glut-devel >= 3.7-12
BuildRequires:	libjpeg-devel
BuildRequires:	libtool
BuildRequires:	unzip
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
JasPer is a collection of software (i.e., a library and application
programs) for the coding and manipulation of images. This software can
handle image data in a variety of formats. One such format supported
by JasPer is the JPEG-2000 code stream format defined in ISO/IEC
15444-1:2000 (but JasPer contains only partial implementation).

%description -l pl
JasPer to zestaw oprogramowania (biblioteka i aplikacje) do kodowania
i obrbki obrazkw w rnych formatach. Jednym z nich jest JPEG-2000
zdefiniowany w ISO/IEC 15444-1:2000 (JasPer zawiera tylko czciow
implementacj tego formatu).

%package libs
Summary:	JasPer library
Summary(pl):	Biblioteka JasPer
Group:		Libraries

%description libs
JasPer library.

%description libs -l pl
Biblioteka JasPer.

%package devel
Summary:	JasPer - header files
Summary(pl):	JasPer - pliki nagwkowe
Group:		Development/Libraries
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
Requires:	libjpeg-devel

%description devel
Header files needed to compile programs with libjasper.

%description devel -l pl
Pliki nagwkowe potrzebne do konsolidacji z libjasper.

%package static
Summary:	JasPer - static library
Summary(pl):	JasPer - biblioteka statyczna
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static version of libjasper.

%description static -l pl
Statyczna biblioteka libjasper.

%package jiv
Summary:	JasPer Image Viewer
Summary(pl):	Przegldarka obrazkw JasPer
Group:		X11/Applications/Graphics
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description jiv
Simple JasPer Image Viewer. Basic pan and zoom functionality is
provided. Components of an image may be viewed individually. Color
components may also be viewed together as a composite image. At
present, the jiv image viewer has only trivial support for color. It
recognizes RGB and YCbCr color spaces, but does not use tone
reproduction curves and the like in order to accurately reproduce
color. For basic testing purposes, however, the color reproduction
should suffice.

%description jiv -l pl
Prosta przegldarka obrazkw JasPer. Ma podstawow funkcjonalno
przewijania i powikszania. Poszczeglne skadniki obrazka mog by
ogldane oddzielnie. Skadowe kolory mog by ogldane take razem,
jako zoony obraz. Aktualnie przegldarka ma tylko prost obsug
koloru. Rozpoznaje przestrzenie RGB i YCbCr, ale nie uywa krzywych
reprodukcji tonalnej i podobnych rzeczy majcych za zadanie dokadne
odwzorowanie koloru. Do podstawowych celw testowych taka obsuga
kolorw powinna jednak wystarczy.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-shared

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc LICENSE NEWS README doc/jasper*
%attr(755,root,root) %{_bindir}/img*
%attr(755,root,root) %{_bindir}/jasper

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/jasper

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files jiv
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/jiv

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: jasper.spec,v $
Revision 1.30  2005/11/01 23:29:29  glen
- rel 3

Revision 1.29  2005/11/01 23:26:13  qboosh
- unified: -libs just before -devel

Revision 1.28  2005/11/01 23:22:17  qboosh
- pl for -libs

Revision 1.27  2005/11/01 21:46:50  glen
- -libs split

Revision 1.26  2005/05/04 10:25:35  pluto
- release 2 for Th.

Revision 1.25  2004/08/31 17:26:47  snurf
- typos

Revision 1.24  2004/04/25 13:05:55  qboosh
- updated to 0.701.0, strict internal deps
- expect glut in /usr (>= 3.7-12)

Revision 1.23  2004/01/02 17:34:46  jajcus
- Release: 2 (STBR after AMD64 fixes)

Revision 1.22  2003/12/29 18:48:02  jajcus
- copy config.sub from automake

Revision 1.21  2003/10/25 13:25:41  ankry
- pl: linkowanie -> konsolidacja, shell -> powoka

Revision 1.20  2003/10/23 19:41:24  qboosh
- -devel R: libjpeg-devel

Revision 1.19  2003/10/23 18:34:54  bszx
- uptated to 1.700.5

Revision 1.18  2003/08/27 14:33:24  qboosh
- it DOES have jiv, glut-devel must be functional to make it

Revision 1.17  2003/08/26 21:41:33  djurban
- 1.7 doesnot have jiv

Revision 1.16  2003/05/26 16:25:16  malekith
- massive attack: adding Source-md5

Revision 1.15  2003/05/25 05:49:06  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2003/03/23 15:06:24  qboosh
- grrr... fixed broken "fixed" files
- release 2

Revision 1.13  2003/03/22 18:20:58  djurban
- fixed %files

Revision 1.12  2003/03/02 00:50:36  radek
- version 1.700.2

Revision 1.11  2002/11/25 14:16:46  ankry
- massive attack: no need for 755 for *.la

Revision 1.10  2002/11/05 22:18:27  qboosh
- fixed OpenGL/glut detection, added jiv utility as subpackage

Revision 1.9  2002/11/05 16:44:02  juandon
- update to 1.600.0
- changed URL

Revision 1.8  2002/05/21 23:13:38  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
  	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.7  2002/04/25 16:38:40  arturs
- fixed a small typo

Revision 1.6  2002/02/22 23:29:05  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/02/02 20:19:38  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.4  2002/02/01 00:37:37  ankry
- added Group(es/pt_BR/ru/uk)

Revision 1.3  2002/01/18 02:13:23  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/08/06 16:34:02  qboosh
- BuildRequires: unzip

Revision 1.1  2001/08/05 16:59:38  qboosh
- new; can be used by ImageMagick to manipulate JPEG-2000 images
